<?php if ( ! defined( 'ABSPATH' ) ) {
	die; } // Cannot access directly.

//
// Set a unique slug-like ID.
//
$prefix = '_sp_options';

//
// Create a settings page.
//
SPFTESTIMONIAL::createOptions(
	$prefix, array(
		'menu_title'       => __( 'Settings', 'testimonial-pro' ),
		'menu_parent'      => 'edit.php?post_type=spt_testimonial',
		'menu_type'        => 'submenu', // menu, submenu, options, theme, etc.
		'menu_slug'        => 'tpro_settings',
		'theme'            => 'light',
		'show_all_options' => false,
		'show_search'      => false,
		'show_footer'      => false,
		'framework_title'  => __( 'Testimonial Pro Settings', 'testimonial-pro' ),
	)
);

//
// General section.
//
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'name'   => 'general_settings',
		'title'  => __( 'General', 'testimonial-pro' ),
		'icon'   => 'fa fa-cog',

		'fields' => array(
			array(
				'id'       => 'testimonial_approval_status',
				'type'     => 'radio',
				'title'    => __( 'Testimonial Approval Status', 'testimonial-pro' ),
				'subtitle' => __( 'Select testimonial approval status for the front-end form submission.', 'testimonial-pro' ),
				'options'  => array(
					'publish' => 'Auto Publish',
					'pending' => 'Pending',
				),
				'default'  => 'pending',
			),
			array(
				'type'       => 'submessage',
				'style'      => 'warning',
				'content'    => __( 'Use this option at your own risk.', 'testimonial-pro' ),
				'dependency' => array( 'testimonial_approval_status', '==', 'publish' ),
			),
		),
	)
);

//
// Advanced section.
//
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'name'   => 'advanced_settings',
		'title'  => __( 'Advanced', 'testimonial-pro' ),
		'icon'   => 'fa fa-cogs',

		'fields' => array(
			array(
				'id'       => 'tpro_dequeue_google_fonts',
				'type'     => 'switcher',
				'title'    => __( 'Google Fonts', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue google fonts.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'      => 'testimonial_data_remove',
				'type'    => 'checkbox',
				'title'   => __( 'Remove Data on Uninstall?', 'testimonial-pro' ),
				'after'   => __( 'Check this box if you would like Testimonial Pro to completely remove all of its data when the plugin is deleted.', 'testimonial-pro' ),
				'default' => false,
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Enqueue or Dequeue CSS', 'testimonial-pro' ),
			),
			array(
				'id'       => 'tpro_dequeue_slick_css',
				'type'     => 'switcher',
				'title'    => __( 'Slick CSS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue slick CSS.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'       => 'tpro_dequeue_fa_css',
				'type'     => 'switcher',
				'title'    => __( 'Font Awesome CSS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue font awesome CSS.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'       => 'tpro_dequeue_magnific_popup_css',
				'type'     => 'switcher',
				'title'    => __( 'Magnific Popup CSS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue magnific popup CSS.', 'testimonial-pro' ),
				'default'  => true,
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Enqueue or Dequeue JS', 'testimonial-pro' ),
			),
			array(
				'id'       => 'tpro_dequeue_slick_js',
				'type'     => 'switcher',
				'title'    => __( 'Slick JS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue slick JS.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'       => 'tpro_dequeue_isotope_js',
				'type'     => 'switcher',
				'title'    => __( 'Isotope JS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue isotope JS.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'       => 'tpro_dequeue_magnific_popup_js',
				'type'     => 'switcher',
				'title'    => __( 'Magnific Popup JS', 'testimonial-pro' ),
				'subtitle' => __( 'On/off the switch to enqueue/dequeue magnific popup JS.', 'testimonial-pro' ),
				'default'  => true,
			),
		),
	)
);

//
// FrontEnd Form Section.
//
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'id'    => 'frontend_form',
		'title' => __( 'Front-End Form', 'testimonial-pro' ),
		'icon'  => 'fa fa-list-alt',
	)
);

// Field: Fields.
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'parent'      => 'frontend_form',
		'title'       => __( 'Fields', 'testimonial-pro' ),
		'icon'        => 'fa fa-list',
		'description' => __( 'Front-end submission form <div class="sp-testimonial-shortcode selectable">[testimonial_pro_form]</div>', 'testimonial-pro' ),
		'fields'      => array(

			array(
				'type'    => 'subheading',
				'content' => __( 'Name', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_name_field',
				'type'     => 'switcher',
				'title'    => __( 'Name Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide name field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_name_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_name_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_name_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type name field label.', 'testimonial-pro' ),
				'default'    => __( 'Your Name', 'testimonial-pro' ),
				'dependency' => array( 'client_name_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_name_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type name field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your name', 'testimonial-pro' ),
				'dependency' => array( 'client_name_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Email Address', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_email_field',
				'type'     => 'switcher',
				'title'    => __( 'Email Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide email field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'tpro_client_email_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_email_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_email_label',
				'type'       => 'text',
				'title'      => __( 'Email Address', 'testimonial-pro' ),
				'subtitle'   => __( 'Type email address field label.', 'testimonial-pro' ),
				'default'    => __( 'Email Address', 'testimonial-pro' ),
				'dependency' => array( 'client_email_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_email_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type email address field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your email address', 'testimonial-pro' ),
				'dependency' => array( 'client_email_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Identity or Position', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_designation_field',
				'type'     => 'switcher',
				'title'    => __( 'Identity or Position Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide identity or position field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_designation_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_designation_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_designation_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type identity or position field label.', 'testimonial-pro' ),
				'default'    => __( 'Identity or Position', 'testimonial-pro' ),
				'dependency' => array( 'client_designation_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_designation_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type identity or position field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your identity or position', 'testimonial-pro' ),
				'dependency' => array( 'client_designation_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Company Name', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_company_name_field',
				'type'     => 'switcher',
				'title'    => __( 'Company Name Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide company name field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_company_name_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_company_name_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_company_name_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type company name field label.', 'testimonial-pro' ),
				'default'    => __( 'Company Name', 'testimonial-pro' ),
				'dependency' => array( 'client_company_name_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_company_name_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type company name field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your company name', 'testimonial-pro' ),
				'dependency' => array( 'client_company_name_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Location', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_location_field',
				'type'     => 'switcher',
				'title'    => __( 'Location Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide location field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_location_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_location_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_location_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type location field label.', 'testimonial-pro' ),
				'default'    => __( 'Location', 'testimonial-pro' ),
				'dependency' => array( 'client_location_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_location_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type location field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your location', 'testimonial-pro' ),
				'dependency' => array( 'client_location_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Phone or Mobile', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_phone_field',
				'type'     => 'switcher',
				'title'    => __( 'Phone or Mobile Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide phone or mobile field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_phone_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_phone_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_phone_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type phone or mobile field label.', 'testimonial-pro' ),
				'default'    => __( 'Phone or Mobile', 'testimonial-pro' ),
				'dependency' => array( 'client_phone_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_phone_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type phone or mobile field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your phone or mobile', 'testimonial-pro' ),
				'dependency' => array( 'client_phone_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Website', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_website_field',
				'type'     => 'switcher',
				'title'    => __( 'Website Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide website field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_website_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_website_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_website_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type website field label.', 'testimonial-pro' ),
				'default'    => __( 'Website', 'testimonial-pro' ),
				'dependency' => array( 'client_website_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_website_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type website field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your website', 'testimonial-pro' ),
				'dependency' => array( 'client_website_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Video Testimonial URL', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_video_url_field',
				'type'     => 'switcher',
				'title'    => __( 'Video URL Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide video url field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_video_url_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_video_url_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_video_url_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type video url field label.', 'testimonial-pro' ),
				'default'    => __( 'Video URL', 'testimonial-pro' ),
				'dependency' => array( 'client_video_url_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_video_url_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type video url field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type your video url', 'testimonial-pro' ),
				'dependency' => array( 'client_video_url_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Image', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_image_field',
				'type'     => 'switcher',
				'title'    => __( 'Image Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide image field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_image_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_image_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_image_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type image field label.', 'testimonial-pro' ),
				'default'    => __( 'Image', 'testimonial-pro' ),
				'dependency' => array( 'client_image_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Category', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_category_field',
				'type'     => 'switcher',
				'title'    => __( 'Category Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide category field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_category_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_category_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_category_multiple',
				'type'       => 'checkbox',
				'title'      => __( 'Multiple Category Selection?', 'testimonial-pro' ),
				'subtitle'   => __( 'Let user select multiple categories.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_category_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_category_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type category field label.', 'testimonial-pro' ),
				'default'    => __( 'Category', 'testimonial-pro' ),
				'dependency' => array( 'client_category_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_category_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type category field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Select category', 'testimonial-pro' ),
				'dependency' => array( 'client_category_field', '==', 'true' ),
			),

			array(
				'id'          => 'client_selected_category',
				'type'        => 'select',
				'title'       => __( 'Select Category(s)', 'testimonial-pro' ),
				'subtitle'    => __( 'Select categories for the frontend form. Leave blank for the all categories.', 'testimonial-pro' ),
				'options'     => 'categories',
				'query_args'  => array(
					'type'       => 'spt_testimonial',
					'taxonomy'   => 'testimonial_cat',
					'hide_empty' => 0,
				),
				'placeholder' => __( 'Select Category', 'testimonial-pro' ),
				'chosen'      => true,
				'multiple'    => true,
				'dependency'  => array( 'client_category_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Testimonial Title', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_title_field',
				'type'     => 'switcher',
				'title'    => __( 'Title Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide title field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_title_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_title_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_title_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type title field label.', 'testimonial-pro' ),
				'default'    => __( 'Title', 'testimonial-pro' ),
				'dependency' => array( 'client_title_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_title_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type title field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type title', 'testimonial-pro' ),
				'dependency' => array( 'client_title_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Testimonial Content', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_testimonial_field',
				'type'     => 'switcher',
				'title'    => __( 'Testimonial Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide testimonial field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_testimonial_required',
				'type'       => 'checkbox',
				'title'      => __( 'Field Required?', 'testimonial-pro' ),
				'subtitle'   => __( 'Check to make the field required.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_testimonial_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_testimonial_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type testimonial field label.', 'testimonial-pro' ),
				'default'    => __( 'Testimonial', 'testimonial-pro' ),
				'dependency' => array( 'client_testimonial_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_testimonial_placeholder',
				'type'       => 'text',
				'title'      => __( 'Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type testimonial field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type testimonial', 'testimonial-pro' ),
				'dependency' => array( 'client_testimonial_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Star Rating', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_rating_field',
				'type'     => 'switcher',
				'title'    => __( 'Rating Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide rating field.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'client_rating_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type rating field label.', 'testimonial-pro' ),
				'default'    => __( 'Rating', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_rating_one',
				'type'       => 'text',
				'title'      => __( 'One Star Title', 'testimonial-pro' ),
				'subtitle'   => __( 'Set one star title.', 'testimonial-pro' ),
				'default'    => __( 'One Star', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_rating_two',
				'type'       => 'text',
				'title'      => __( 'Two Star Title', 'testimonial-pro' ),
				'subtitle'   => __( 'Set two star title.', 'testimonial-pro' ),
				'default'    => __( 'Two Stars', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_rating_three',
				'type'       => 'text',
				'title'      => __( 'Three Star Title', 'testimonial-pro' ),
				'subtitle'   => __( 'Set three star title.', 'testimonial-pro' ),
				'default'    => __( 'Three Stars', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_rating_four',
				'type'       => 'text',
				'title'      => __( 'Four Star Title', 'testimonial-pro' ),
				'subtitle'   => __( 'Set four star title.', 'testimonial-pro' ),
				'default'    => __( 'Four Stars', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_rating_five',
				'type'       => 'text',
				'title'      => __( 'Five Star Title', 'testimonial-pro' ),
				'subtitle'   => __( 'Set five star title.', 'testimonial-pro' ),
				'default'    => __( 'Five Stars', 'testimonial-pro' ),
				'dependency' => array( 'client_rating_field', '==', 'true' ),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Social Profiles', 'testimonial-pro' ),
			),
			array(
				'id'       => 'client_social_profile_field',
				'type'     => 'switcher',
				'title'    => __( 'Social Profiles Field', 'testimonial-pro' ),
				'subtitle' => __( 'Show/Hide social profiles field.', 'testimonial-pro' ),
				'default'  => false,
			),
			array(
				'id'         => 'client_social_profile_label',
				'type'       => 'text',
				'title'      => __( 'Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type social profiles field label.', 'testimonial-pro' ),
				'default'    => __( 'Add Social Profiles', 'testimonial-pro' ),
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_facebook',
				'type'       => 'switcher',
				'title'      => __( 'Facebook', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide facebook field.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_facebook_label',
				'type'       => 'text',
				'title'      => __( 'Facebook Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type facebook field label.', 'testimonial-pro' ),
				'default'    => __( 'Facebook', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_facebook',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_facebook_placeholder',
				'type'       => 'text',
				'title'      => __( 'Facebook Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type facebook field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type facebook URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_facebook',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_twitter',
				'type'       => 'switcher',
				'title'      => __( 'Twitter', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide twitter field.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_twitter_label',
				'type'       => 'text',
				'title'      => __( 'Twitter Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type twitter field label.', 'testimonial-pro' ),
				'default'    => __( 'Twitter', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_twitter',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_twitter_placeholder',
				'type'       => 'text',
				'title'      => __( 'Twitter Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type twitter field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type twitter URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_twitter',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_linkedin',
				'type'       => 'switcher',
				'title'      => __( 'LinkedIn', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide linkedin field.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_linkedin_label',
				'type'       => 'text',
				'title'      => __( 'LinkedIn Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type linkedin field label.', 'testimonial-pro' ),
				'default'    => __( 'LinkedIn', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_linkedin',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_linkedin_placeholder',
				'type'       => 'text',
				'title'      => __( 'LinkedIn Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type linkedin field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type linkedin URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_linkedin',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_instagram',
				'type'       => 'switcher',
				'title'      => __( 'Instagram', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide instagram field.', 'testimonial-pro' ),
				'default'    => true,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_instagram_label',
				'type'       => 'text',
				'title'      => __( 'Instagram Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type instagram field label.', 'testimonial-pro' ),
				'default'    => __( 'Instagram', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_instagram',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_instagram_placeholder',
				'type'       => 'text',
				'title'      => __( 'Instagram Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type instagram field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type instagram URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_instagram',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_youtube',
				'type'       => 'switcher',
				'title'      => __( 'YouTube', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide youtube field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_youtube_label',
				'type'       => 'text',
				'title'      => __( 'YouTube Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type youtube field label.', 'testimonial-pro' ),
				'default'    => __( 'YouTube', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_youtube',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_youtube_placeholder',
				'type'       => 'text',
				'title'      => __( 'YouTube Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type youtube field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type youtube URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_youtube',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_pinterest',
				'type'       => 'switcher',
				'title'      => __( 'Pinterest', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide pinterest field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_pinterest_label',
				'type'       => 'text',
				'title'      => __( 'Pinterest Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type pinterest field label.', 'testimonial-pro' ),
				'default'    => __( 'Pinterest', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_pinterest',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_pinterest_placeholder',
				'type'       => 'text',
				'title'      => __( 'Pinterest Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type pinterest field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type pinterest URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_pinterest',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_skype',
				'type'       => 'switcher',
				'title'      => __( 'Skype', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide skype field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_skype_label',
				'type'       => 'text',
				'title'      => __( 'Skype Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type skype field label.', 'testimonial-pro' ),
				'default'    => __( 'Skype', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_skype',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_skype_placeholder',
				'type'       => 'text',
				'title'      => __( 'Skype Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type skype field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type skype URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_skype',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_stumbleupon',
				'type'       => 'switcher',
				'title'      => __( 'StumbleUpon', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide stumbleupon field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_stumbleupon_label',
				'type'       => 'text',
				'title'      => __( 'StumbleUpon Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type stumbleupon field label.', 'testimonial-pro' ),
				'default'    => __( 'StumbleUpon', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_stumbleupon',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_stumbleupon_placeholder',
				'type'       => 'text',
				'title'      => __( 'StumbleUpon Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type stumbleupon field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type stumbleupon URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_stumbleupon',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_reddit',
				'type'       => 'switcher',
				'title'      => __( 'Reddit', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide reddit field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_reddit_label',
				'type'       => 'text',
				'title'      => __( 'Reddit Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type reddit field label.', 'testimonial-pro' ),
				'default'    => __( 'Reddit', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_reddit',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_reddit_placeholder',
				'type'       => 'text',
				'title'      => __( 'Reddit Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type reddit field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type reddit URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_reddit',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_dribbble',
				'type'       => 'switcher',
				'title'      => __( 'Dribbble', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide dribbble field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_dribbble_label',
				'type'       => 'text',
				'title'      => __( 'Dribbble Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type dribbble field label.', 'testimonial-pro' ),
				'default'    => __( 'Dribbble', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_dribbble',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_dribbble_placeholder',
				'type'       => 'text',
				'title'      => __( 'Dribbble Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type dribbble field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type dribbble URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_dribbble',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_snapchat',
				'type'       => 'switcher',
				'title'      => __( 'SnapChat', 'testimonial-pro' ),
				'subtitle'   => __( 'Show/Hide snapchat field.', 'testimonial-pro' ),
				'default'    => false,
				'dependency' => array( 'client_social_profile_field', '==', 'true' ),
			),
			array(
				'id'         => 'client_social_profile_snapchat_label',
				'type'       => 'text',
				'title'      => __( 'SnapChat Label', 'testimonial-pro' ),
				'subtitle'   => __( 'Type snapchat field label.', 'testimonial-pro' ),
				'default'    => __( 'SnapChat', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_snapchat',
					'==|==',
					'true|true',
				),
			),
			array(
				'id'         => 'client_social_profile_snapchat_placeholder',
				'type'       => 'text',
				'title'      => __( 'SnapChat Placeholder', 'testimonial-pro' ),
				'subtitle'   => __( 'Type snapchat field placeholder.', 'testimonial-pro' ),
				'default'    => __( 'Type snapchat URL', 'testimonial-pro' ),
				'dependency' => array(
					'client_social_profile_field|client_social_profile_snapchat',
					'==|==',
					'true|true',
				),
			),

			array(
				'type'    => 'subheading',
				'content' => __( 'Submit Button', 'testimonial-pro' ),
			),
			array(
				'id'       => 'submit_button_text',
				'type'     => 'text',
				'title'    => __( 'Submit Button Text', 'testimonial-pro' ),
				'subtitle' => __( 'Type submit button text.', 'testimonial-pro' ),
				'default'  => __( 'Submit Testimonial', 'testimonial-pro' ),
			),

		),
	)
);

// Field: Fields Sorter.
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'parent'      => 'frontend_form',
		'title'       => __( 'Fields Sorter', 'testimonial-pro' ),
		'icon'        => 'fa fa-sort-alpha-desc',
		'description' => __( 'Front-end submission form <div class="sp-testimonial-shortcode selectable">[testimonial_pro_form]</div>', 'testimonial-pro' ),
		'fields'      => array(

			array(
				'id'             => 'fields_sorter',
				'type'           => 'sorter',
				'title'          => __( 'Fields Sorter', 'testimonial-pro' ),
				'default'        => array(
					'enabled' => array(
						'name'           => __( 'Name', 'testimonial-pro' ),
						'email'          => __( 'Email Address', 'testimonial-pro' ),
						'designation'    => __( 'Identity or Position', 'testimonial-pro' ),
						'company_name'   => __( 'Company Name', 'testimonial-pro' ),
						'location'       => __( 'Location', 'testimonial-pro' ),
						'phone'          => __( 'Phone or Mobile', 'testimonial-pro' ),
						'website'        => __( 'Website', 'testimonial-pro' ),
						'video-url'      => __( 'Video Testimonial URL', 'testimonial-pro' ),
						'image'          => __( 'Image', 'testimonial-pro' ),
						'category'       => __( 'Category', 'testimonial-pro' ),
						'title'          => __( 'Testimonial Title', 'testimonial-pro' ),
						'testimonial'    => __( 'Testimonial Content', 'testimonial-pro' ),
						'rating'         => __( 'Rating', 'testimonial-pro' ),
						'social-profile' => __( 'Social Profiles', 'testimonial-pro' ),
					),
				),
				'disabled'       => false,
				'enabled_title'  => '',
				'disabled_title' => '',
			),

		),
	)
);

// Field: reCAPTCHA
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'parent'      => 'frontend_form',
		'title'       => __( 'reCAPTCHA', 'testimonial-pro' ),
		'icon'        => 'fa fa-shield',
		'description' => __( 'Front-end submission form <div class="sp-testimonial-shortcode selectable">[testimonial_pro_form]</div>', 'testimonial-pro' ),
		'fields'      => array(

			array(
				'id'       => 'google_recaptcha',
				'type'     => 'switcher',
				'title'    => __( 'reCaptcha', 'testimonial-pro' ),
				'subtitle' => __( 'Enable/Disable reCaptcha for the front-end form.', 'testimonial-pro' ),
				'default'  => false,
			),
			array(
				'type'       => 'submessage',
				'style'      => 'info',
				'content'    => __(
					'<a href="https://www.google.com/recaptcha" target="_blank">reCAPTCHA</a> is a free anti-spam service of Google that protects your website from spam and abuse. <a 
href="https://www.google.com/recaptcha/admin#list" target="_blank"> Get your API Keys</a>.', 'testimonial-pro'
				),
				'dependency' => array( 'google_recaptcha', '==', 'true' ),
			),
			array(
				'id'         => 'captcha_site_key',
				'type'       => 'text',
				'title'      => __( 'Site key', 'testimonial-pro' ),
				'subtitle'   => __( 'Set Site key.', 'testimonial-pro' ),
				'dependency' => array( 'google_recaptcha', '==', 'true' ),
			),
			array(
				'id'         => 'captcha_secret_key',
				'type'       => 'text',
				'title'      => __( 'Secret key', 'testimonial-pro' ),
				'subtitle'   => __( 'Set Secret key.', 'testimonial-pro' ),
				'dependency' => array( 'google_recaptcha', '==', 'true' ),
			),

		),
	)
);

// Field: Messages
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'parent'      => 'frontend_form',
		'title'       => __( 'Messages', 'testimonial-pro' ),
		'icon'        => 'fa fa-exclamation-triangle',
		'description' => __( 'Front-end submission form <div class="sp-testimonial-shortcode selectable">[testimonial_pro_form]</div>', 'testimonial-pro' ),
		'fields'      => array(

			array(
				'id'       => 'tpro_redirect',
				'type'     => 'select',
				'title'    => __( 'Redirect', 'testimonial-pro' ),
				'subtitle' => __( 'After successful submit, where the page will redirect to.', 'testimonial-pro' ),
				'options'  => array(
					'same_page'  => __( 'Same Page', 'testimonial-pro' ),
					'to_a_page'  => __( 'To a page', 'testimonial-pro' ),
					'custom_url' => __( 'To a custom URL', 'testimonial-pro' ),
				),
				'default'  => 'same_page',
			),
			array(
				'id'         => 'tpro_message_position',
				'type'       => 'button_set',
				'title'      => __( 'Form Submission Message Position', 'testimonial-pro' ),
				'subtitle'   => __( 'Set a form submission message position.', 'testimonial-pro' ),
				'radio'      => true,
				'options'    => array(
					'top'    => __( 'Top', 'testimonial-pro' ),
					'bottom' => __( 'Bottom', 'testimonial-pro' ),
				),
				'default'    => 'bottom',
				'dependency' => array( 'tpro_redirect', '==', 'same_page' ),
			),
			array(
				'id'         => 'successful_message',
				'type'       => 'textarea',
				'title'      => __( 'Successful Message', 'testimonial-pro' ),
				'subtitle'   => __( 'Notification for successful submission.', 'testimonial-pro' ),
				'default'    => 'Thank you for submitting a new testimonial!',
				'dependency' => array( 'tpro_redirect', '==', 'same_page' ),
			),

			array(
				'id'         => 'tpro_redirect_to_page',
				'type'       => 'select',
				'title'      => __( 'Page', 'testimonial-pro' ),
				'subtitle'   => __( 'Select redirect page.', 'testimonial-pro' ),
				'options'    => 'pages',
				'dependency' => array( 'tpro_redirect', '==', 'to_a_page' ),
			),

			array(
				'id'         => 'tpro_redirect_custom_url',
				'type'       => 'text',
				'title'      => __( 'Custom URL', 'testimonial-pro' ),
				'subtitle'   => __( 'Type redirect custom url.', 'testimonial-pro' ),
				'dependency' => array( 'tpro_redirect', '==', 'custom_url' ),
			),

			array(
				'id'         => 'verification_fail_message',
				'type'       => 'text',
				'title'      => __( 'Robot Verification Fail', 'testimonial-pro' ),
				'desc'       => __( 'Notification for robot verification fail.', 'testimonial-pro' ),
				'default'    => 'Robot verification failed, please try again.',
				'dependency' => array( 'google_recaptcha', '==', 'true' ),
			),

			array(
				'id'         => 'captcha_missing_message',
				'type'       => 'text',
				'title'      => __( 'reCAPTCHA missing', 'testimonial-pro' ),
				'subtitle'   => __( 'Notification for reCAPTCHA missing.', 'testimonial-pro' ),
				'default'    => 'Please click on the reCAPTCHA box.',
				'dependency' => array( 'google_recaptcha', '==', 'true' ),
			),

		),
	)
);

// Field: Stylization.
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'parent'      => 'frontend_form',
		'title'       => __( 'Stylization', 'testimonial-pro' ),
		'icon'        => 'fa fa-paint-brush',
		'description' => __( 'Front-end submission form <div class="sp-testimonial-shortcode selectable">[testimonial_pro_form]</div>', 'testimonial-pro' ),
		'fields'      => array(

			array(
				'id'       => 'label_text_color',
				'type'     => 'color',
				'title'    => __( 'Label Color', 'testimonial-pro' ),
				'subtitle' => __( 'Set color for the field label.', 'testimonial-pro' ),
				'default'  => '#444444',
			),
			array(
				'id'       => 'submit_button_color',
				'type'     => 'color',
				'title'    => __( 'Submit Button Color', 'testimonial-pro' ),
				'subtitle' => __( 'Set color for the submit button text.', 'testimonial-pro' ),
				'default'  => '#ffffff',
			),
			array(
				'id'       => 'submit_button_bg',
				'type'     => 'color',
				'title'    => __( 'Submit Button Background', 'testimonial-pro' ),
				'subtitle' => __( 'Set background color for the submit button.', 'testimonial-pro' ),
				'default'  => '#444444',
			),

		),
	)
);

//
// Notification section.
//
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'name'   => 'notification_section',
		'title'  => __( 'Notification', 'testimonial-pro' ),
		'icon'   => 'fa fa-bell',

		'fields' => array(
			array(
				'type'       => 'submessage',
				'style'      => 'danger',
				'content'    => __(
					'<b>Testimonial Approval Status</b> is set to "Auto Publish", set it to "Pending" for enabling <b>Pending Testimonial 
Email </b>option.', 'testimonial-pro'
				),
				'dependency' => array( 'testimonial_approval_status', '==', 'publish', true ),
			),
			array(
				'id'       => 'pending_testimonial_email',
				'type'     => 'switcher',
				'title'    => __( 'Pending Testimonial Email', 'testimonial-pro' ),
				'subtitle' => __( 'Email notification for pending testimonial.', 'testimonial-pro' ),
				'default'  => true,
			),
			array(
				'id'         => 'pending_testimonial_subject',
				'type'       => 'text',
				'title'      => __( 'Notification Email Subject', 'testimonial-pro' ),
				'subtitle'   => __( 'Type subject for the notification email.', 'testimonial-pro' ),
				'default'    => 'A New Testimonial is Pending!',
				'dependency' => array( 'pending_testimonial_email', '==', 'true' ),
			),
			array(
				'id'         => 'pending_testimonial_heading',
				'type'       => 'text',
				'title'      => __( 'Notification Email Heading', 'testimonial-pro' ),
				'subtitle'   => __( 'Type heading for the notification email.', 'testimonial-pro' ),
				'default'    => 'New Testimonial!',
				'dependency' => array( 'pending_testimonial_email', '==', 'true' ),
			),
			array(
				'id'         => 'pending_testimonial_message',
				'type'       => 'wp_editor',
				'title'      => __( 'Notification Email Body', 'testimonial-pro' ),
				'default'    => 'Hey There,

A new testimonial has been submitted to your website. Following are the reviewer information.

Name: {name}
Email: {email}
Testimonial Content: {testimonial_text}
Rating: {rating}

Please go admin dashboard to review it and publish.

Thank you!',
				'desc'       => '
			Enter the text that will be sent as notification email for pending testimonial. HTML is accepted. Available template tags are:<br>
			{name} - The reviewer\'s full name.<br>
			{email} - The reviewer\'s email address.<br>
			{position} - The reviewer\'s position.<br>
			{company_name} - The reviewer\'s company name.<br>
			{location} - The reviewer\'s location address.<br>
			{phone} - The reviewer\'s phone number.<br>
			{website} - The reviewer\'s company website URL.<br>
			{video_url} - The reviewer\'s video URL.<br>
			{testimonial_title} - Testimonial top title.<br>
			{testimonial_text} - Testimonial content.<br>
			{category} - Testimonial category.<br>
			{rating} - Testimonial Star Rating.',
				'dependency' => array( 'pending_testimonial_email', '==', 'true' ),
			),
			array(
				'id'         => 'pending_testimonial_email_to',
				'type'       => 'textarea',
				'title'      => __( 'Email(s) to Notify', 'testimonial-pro' ),
				'desc'       => __( 'Enter the email address(es) that will receive a notification for each pending testimonial. For multiple emails, use comma between these.', 'testimonial-pro' ),
				'default'    => get_option( 'admin_email' ),
				'dependency' => array( 'pending_testimonial_email', '==', 'true' ),
			),
		),
	)
);

//
// Custom CSS section.
//
SPFTESTIMONIAL::createSection(
	$prefix, array(
		'name'   => 'custom_css_section',
		'title'  => __( 'Custom CSS', 'testimonial-pro' ),
		'icon'   => 'fa fa-css3',

		'fields' => array(
			array(
				'id'       => 'custom_css',
				'type'     => 'code_editor',
				'settings' => array(
					'theme' => 'dracula',
					'mode'  => 'css',
				),
				'title'    => __( 'Custom CSS', 'testimonial-pro' ),
				'subtitle' => __( 'Type your CSS.', 'testimonial-pro' ),
			),
		),
	)
);
