<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class SP_TPRO_Taxonomy {

	/**
	 * @var
	 * @since 1.0
	 */
	private static $_instance;

	/**
	 * @return SP_TPRO_Taxonomy
	 * @since 1.0
	 */
	public static function getInstance() {
		if ( ! self::$_instance ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	/**
	 * SP_TPRO_Taxonomy constructor.
	 *
	 * @since 1.0
	 */
	public function __construct() {
		add_filter( 'init', array( $this, 'register_taxonomy' ) );
	}

	/**
	 * Register post type
	 *
	 * @since 1.0
	 */
	function register_taxonomy() {

		$labels = array(
			'name'              => esc_html__( 'Testimonial Categories', 'testimonial-pro' ),
			'singular_name'     => esc_html__( 'Category', 'testimonial-pro' ),
			'search_items'      => esc_html__( 'Search Category', 'testimonial-pro' ),
			'all_items'         => esc_html__( 'All Categories', 'testimonial-pro' ),
			'parent_item'       => esc_html__( 'Parent Category', 'testimonial-pro' ),
			'parent_item_colon' => esc_html__( 'Parent Category:', 'testimonial-pro' ),
			'edit_item'         => esc_html__( 'Edit Category', 'testimonial-pro' ),
			'update_item'       => esc_html__( 'Update Category', 'testimonial-pro' ),
			'add_new_item'      => esc_html__( 'Add New Category', 'testimonial-pro' ),
			'new_item_name'     => esc_html__( 'New Category Name', 'testimonial-pro' ),
			'menu_name'         => esc_html__( 'Categories', 'testimonial-pro' ),
		);

		$args = array(
			'hierarchical'      => true,
			'labels'            => $labels,
			'show_ui'           => true,
			'show_admin_column' => true,
			'query_var'         => false,
		);

		register_taxonomy( 'testimonial_cat', array( 'spt_testimonial' ), $args );
	}

}
